
// #ifndef VUE3
import Vue from 'vue'
import App from './App'

Vue.config.productionTip = false
import request from '@/util/request.js'
import helper from '@/common/helper.js'
import WXBizDataCrypt from '@/util/WXBizDataCrypt.js'
import uView from '@/uni_modules/uview-ui'
Vue.use(uView)
Vue.prototype.$request = request
Vue.prototype.$helper = helper
import store from './store'
Vue.prototype.$store = store
App.mpType = 'app'

const app = new Vue({
    ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
import App from './App.vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif